
QGIS Application - Bug report #16057

Font marker family wrongly set when opening property

2017-01-10 08:39 AM - Luigi Pirelli

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:2.18.16 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 23972

Description

how to replicate on 2.14 LTR and master(3.0)

1) create a point layer

2) open style property and set Single Symbol - Font Marker

3) set Font Family in the list as: Sans Serif then apply and close

4) reopen style property => the Font family is set to: DejaVu Sans (e.g. the first in the list that match the first part of the font family)

you can verify the behaviour setting font family = Serif => will be changed as: DejaVu Serif

the font family is maintained if it is a unique entry in the list of font families => probably the problem is in the match/search in list combobox

when setting back style

History

#1 - 2017-01-10 08:49 AM - Luigi Pirelli

QT 4.8 issue

https://bugreports.qt.io/browse/QTBUG-13369

and seems not fixed in qt5

the problem is in QFontComboBox at line:

https://github.com/ccrook/Quantum-GIS/blob/master/src/gui/symbology-ng/qgssymbollayerv2widget.cpp#L2497

#2 - 2017-01-10 08:59 AM - Luigi Pirelli

asked to reopen QT issue because it is applicable to QT5

#3 - 2017-01-11 09:03 AM - Luigi Pirelli

QTBUG-13369 as been reopened

#4 - 2017-04-30 11:54 PM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No
#5 - 2018-02-26 04:48 PM - Nino Formica

I tried to replicate the problem (following Luigi's description) on QGIS 2.99-0, but it did not happen.

Font family selected, after reopening style property, has not changed!

So I guess bug has been solved.

#6 - 2018-02-26 08:42 PM - Luigi Pirelli

- Description updated

Nino Formica wrote:

I tried to replicate the problem (following Luigi's description) on QGIS 2.99-0, but it did not happen.

Font family selected, after reopening style property, has not changed!

So I guess bug has been solved.

great... thnx Nino to check and clean the bug list. btw this issue is for 2.14, what about doing test on current 2.18 version?

Ubuntu package should use qt5.5.x what is your qt version used in your qgis2.99?

I would be happy to close not 3.x tikets :)

#7 - 2018-02-27 12:02 PM - Nino Formica

You are right, sorry Luigi! 

Then I precise: I tested with 2.99-0 and Qt 5.5.1.

Now I also tested with 2.18.16 (Qt 4.8.7) and the problem you've reported actually continues to show up.

... however I hope to have been useful.

#8 - 2018-02-27 12:03 PM - Giovanni Manghi

- Affected QGIS version changed from 2.14.10 to 2.18.16

#9 - 2019-03-09 03:09 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

QGIS 3.4 has recently become our new Long Term Release  (LTR) version. This is a major step in our history – a long term release version based on the

massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR  as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version

will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the

relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

2025-04-27 2/3

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/


We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the

ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help

you plan your deployment of QGIS into an operational environment.

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.
